Providers 2 endpoints

GET /providers/{provider_id}/policygrouptemplates/{id}

Retrieves a Policy Group Template for this provider.

operationId: policyGroupTemplates_get

Parameters

Name In Required Type Description
provider_id path required string
id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/policygrouptemplates/{id}
GET /providers/{provider_id}/policygrouptemplates/{id}/members

Retrieves a Policy Group Template’s Members.

operationId: policyGroupTemplates_listMembers

Parameters

Name In Required Type Description
provider_id path required string
id path required string
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/policygrouptemplates/{id}/members

Pushverification 2 endpoints

GET /pushendpoints/verifications/{verificationId}

Endpoint for retrieving a verification push notification status

operationId: PushVerifications_Get

Parameters

Name In Required Type Description
verificationId path required string

Responses

default

An unexpected error response.

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

429

Too Many Requests

500

Internal Server Error

GET /pushendpoints/verifications/{verificationId}
POST /users/{userId}/pushendpoints/{pushEndpointId}/verify

Endpoint for sending a verification push notification

operationId: PushVerifications_Start

Parameters

Name In Required Type Description
userId path required string
pushEndpointId path required string

Request Body

required
application/json
schema PushVerificationsStartRequest
Property Type Required
message string optional

Responses

default

An unexpected error response.

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

429

Too Many Requests

500

Internal Server Error

POST /users/{userId}/pushendpoints/{pushEndpointId}/verify

Sambadomains 5 endpoints

GET /ldapservers/{ldapserver_id}/sambadomains

This endpoint returns all samba domains for an LDAP server.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/sambadomains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: ldapservers_sambaDomainsList

Parameters

Name In Required Type Description
ldapserver_id path required string

Unique identifier of the LDAP server.

fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

default
200
GET /ldapservers/{ldapserver_id}/sambadomains
POST /ldapservers/{ldapserver_id}/sambadomains

This endpoint allows you to create a samba domain for an LDAP server.

Sample Request
curl -X POST https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/sambadomains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "sid":"{SID_ID}",
    "name":"{WORKGROUP_NAME}"
  }'
operationId: ldapservers_sambaDomainsPost

Parameters

Name In Required Type Description
ldapserver_id path required string

Unique identifier of the LDAP server.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema samba-domain
Property Type Required
id string optional
sid string required
name string required

Responses

201
POST /ldapservers/{ldapserver_id}/sambadomains
DELETE /ldapservers/{ldapserver_id}/sambadomains/{id}

This endpoint allows you to delete a samba domain from an LDAP server.

Sample Request
curl -X DELETE https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/sambadomains/{SAMBA_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: ldapservers_sambaDomainsDelete

Parameters

Name In Required Type Description
ldapserver_id path required string

Unique identifier of the LDAP server.

id path required string

Unique identifier of the samba domain.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
204
DELETE /ldapservers/{ldapserver_id}/sambadomains/{id}
GET /ldapservers/{ldapserver_id}/sambadomains/{id}

This endpoint returns a specific samba domain for an LDAP server.

Sample Request
curl -X GET \
  https://console.jumpcloud.com/api/v2/ldapservers/ldapservers/{LDAP_ID}/sambadomains/{SAMBA_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: ldapservers_sambaDomainsGet

Parameters

Name In Required Type Description
ldapserver_id path required string

Unique identifier of the LDAP server.

id path required string

Unique identifier of the samba domain.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /ldapservers/{ldapserver_id}/sambadomains/{id}
PUT /ldapservers/{ldapserver_id}/sambadomains/{id}

This endpoint allows you to update the samba domain information for an LDAP server.

Sample Request
curl -X PUT https://console.jumpcloud.com/api/v2/ldapservers/{LDAP_ID}/sambadomains/{SAMBA_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "sid":"{SID_ID}",
    "name":"{WORKGROUP_NAME}"
  }'
operationId: ldapservers_sambaDomainsPut

Parameters

Name In Required Type Description
ldapserver_id path required string

Unique identifier of the LDAP server.

id path required string

Unique identifier of the samba domain.

Request Body

application/json
schema samba-domain
Property Type Required
id string optional
sid string required
name string required

Responses

200
PUT /ldapservers/{ldapserver_id}/sambadomains/{id}

Softwareapps 9 endpoints

GET /softwareapps

This endpoint allows you to get all configured Software Applications that will be managed by JumpCloud on associated JumpCloud systems.
The optional isConfigEnabled and appConfiguration apple_vpp attributes are not included in the response.

Sample Request

$ curl -X GET https://console.jumpcloud.com/api/v2/softwareapps \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
operationId: softwareApps_list

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

GET /softwareapps
POST /softwareapps

This endpoint allows you to create a Software Application that will be managed by JumpCloud on associated JumpCloud systems.
The optional isConfigEnabled and appConfiguration apple_vpp attributes are not included in the response.

Sample Request

$ curl -X POST https://console.jumpcloud.com/api/v2/softwareapps \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
-d '{
  "displayName": "Adobe Reader",
  "settings": [{"packageId": "adobereader"}]
}'
operationId: softwareApps_post

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema software-app
Property Type Required
id string optional
settings array optional
appleVpp object optional
details object optional
totalLicenses integer optional
isConfigEnabled boolean optional
appConfiguration string optional
assignedLicenses integer optional
availableLicenses integer optional
supportedDeviceFamilies array optional
location string optional
assetKind string optional
packageId string optional
autoUpdate boolean optional
description string optional
packageKind string optional
desiredState string optional
googleAndroid object optional
name string optional
type string optional
author string optional
iconUrl string optional
category string optional
startUrl string optional
appPricing string optional
appVersion string optional
updateTime string optional
displayMode string optional
installType string optional
versionCode integer optional
contentRating string optional
minSdkVersion integer optional
autoUpdateMode string optional
androidFeatures array optional
fullDescription string optional
permissionGrants array optional
id string optional
policy string optional
managedProperties boolean optional
runtimePermission string optional
…2 more object optional
storedPackage object optional
objectId string optional
versions array optional
name string optional
size integer optional
status string optional
version integer optional
metadata object optional
sha256sum string optional
rejectedReason string optional
microsoftStore object optional
doNotUpdate boolean optional
nonRemovable boolean optional
packageFamilyName string optional
packageManager string optional
packageVersion string optional
assetSha256Size integer optional
packageSubtitle string optional
allowUpdateDelay boolean optional
locationObjectId string optional
assetSha256Strings array optional
enterpriseObjectId string optional
commandLineArguments string optional
…1 more object optional
displayName string optional

Responses

201

Created

POST /softwareapps
POST /softwareapps/validate

Validates an application install package from the specified URL to calculate the SHA256 hash and extract the installer manifest details.

Sample Request

curl -H 'x-api-key: {API_KEY}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{"url": "https://dl.google.com/dl/chrome/mac/universal/stable/gcem/GoogleChrome.pkg"}' \
-i -X POST https://console.jumpcloud.com/api/v2/softwareapps/validate
operationId: Validator_ValidateApplicationInstallPackage

Request Body

required
application/json
schema jumpcloud.package_validator.ValidateApplicationInstallPackageRequest
Property Type Required
url string optional

Responses

200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

POST /softwareapps/validate
DELETE /softwareapps/{id}

Removes a Software Application configuration.

Warning: This is a destructive operation and will unmanage the application on all affected systems.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/softwareapps/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: softwareApps_delete

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204
400
401
403
404
409
500
DELETE /softwareapps/{id}
GET /softwareapps/{id}

Retrieves a Software Application.
The optional isConfigEnabled and appConfiguration apple_vpp attributes are populated in this response.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/softwareapps/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: softwareApps_get

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
GET /softwareapps/{id}
PUT /softwareapps/{id}

This endpoint updates a specific Software Application configuration for the organization.
displayName can be changed alone if no settings are provided.
If a setting is provided, it should include all its information since this endpoint will update all the settings’ fields.
The optional isConfigEnabled and appConfiguration apple_vpp attributes are not included in the response.

Sample Request - displayName only

 curl -X PUT https://console.jumpcloud.com/api/v2/softwareapps/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "displayName": "My Software App"
  }'

Sample Request - all attributes

 curl -X PUT https://console.jumpcloud.com/api/v2/softwareapps/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "displayName": "My Software App",
    "settings": [
      {
        "packageId": "123456",
        "autoUpdate": false,
        "allowUpdateDelay": false,
        "packageManager": "APPLE_VPP",
        "locationObjectId": "123456789012123456789012",
        "location": "123456",
        "desiredState": "Install",
        "appleVpp": {
          "appConfiguration": "<?xml version=\"1.0\" encoding=\"UTF-8\"?><!DOCTYPE plist PUBLIC \"-//Apple//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\"><plist version=\"1.0\"><dict><key>MyKey</key><string>My String</string></dict></plist>",
          "assignedLicenses": 20,
          "availableLicenses": 10,
          "details": {},
          "isConfigEnabled": true,
          "supportedDeviceFamilies": [
            "IPAD",
            "MAC"
          ],
          "totalLicenses": 30
        },
        "packageSubtitle": "My package subtitle",
        "packageVersion": "1.2.3",
        "packageKind": "software-package",
        "assetKind": "software",
        "assetSha256Size": 256,
        "assetSha256Strings": [
          "a123b123c123d123"
        ],
        "description": "My app description"
      }
    ]
  }'
operationId: softwareApps_update

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema software-app
Property Type Required
id string optional
settings array optional
appleVpp object optional
details object optional
totalLicenses integer optional
isConfigEnabled boolean optional
appConfiguration string optional
assignedLicenses integer optional
availableLicenses integer optional
supportedDeviceFamilies array optional
location string optional
assetKind string optional
packageId string optional
autoUpdate boolean optional
description string optional
packageKind string optional
desiredState string optional
googleAndroid object optional
name string optional
type string optional
author string optional
iconUrl string optional
category string optional
startUrl string optional
appPricing string optional
appVersion string optional
updateTime string optional
displayMode string optional
installType string optional
versionCode integer optional
contentRating string optional
minSdkVersion integer optional
autoUpdateMode string optional
androidFeatures array optional
fullDescription string optional
permissionGrants array optional
id string optional
policy string optional
managedProperties boolean optional
runtimePermission string optional
…2 more object optional
storedPackage object optional
objectId string optional
versions array optional
name string optional
size integer optional
status string optional
version integer optional
metadata object optional
sha256sum string optional
rejectedReason string optional
microsoftStore object optional
doNotUpdate boolean optional
nonRemovable boolean optional
packageFamilyName string optional
packageManager string optional
packageVersion string optional
assetSha256Size integer optional
packageSubtitle string optional
allowUpdateDelay boolean optional
locationObjectId string optional
assetSha256Strings array optional
enterpriseObjectId string optional
commandLineArguments string optional
…1 more object optional
displayName string optional

Responses

200

OK

400
401
403
404
500
PUT /softwareapps/{id}
POST /softwareapps/{software_app_id}/reclaim-licenses

This endpoint allows you to reclaim the licenses from a software app associated with devices that are deleted.

Sample Request

$ curl -X POST https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/reclaim-licenses \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
-d '{}'
operationId: softwareApps_reclaimLicenses

Parameters

Name In Required Type Description
software_app_id path required string

Responses

200

Reclaim Licenses Response

POST /softwareapps/{software_app_id}/reclaim-licenses
POST /softwareapps/{software_app_id}/retry-installation

This endpoints initiates an installation retry of an Apple VPP App for the provided system IDs

Sample Request

$ curl -X POST https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/retry-installation \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
-d '{"system_ids": "{<system_id_1>, <system_id_2>, ...}"}'
operationId: softwareApps_retryInstallation

Parameters

Name In Required Type Description
software_app_id path required string

Responses

204

No Content

400
POST /softwareapps/{software_app_id}/retry-installation
GET /softwareapps/{software_app_id}/statuses

This endpoint allows you to get the status of the provided Software Application on associated JumpCloud systems.

Sample Request

$ curl -X GET https://console.jumpcloud.com/api/v2/softwareapps/{software_app_id}/statuses \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'x-api-key: {API_KEY}' \
operationId: softwareAppStatuses_list

Parameters

Name In Required Type Description
software_app_id path required string

ObjectID of the Software App.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

GET /softwareapps/{software_app_id}/statuses

Subscriptions 1 endpoints

GET /subscriptions

This endpoint returns all pricing & packaging subscriptions.

Sample Request
 curl -X GET  https://console.jumpcloud.com/api/v2/subscriptions \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: subscriptions_get

Responses

200

OK

GET /subscriptions

Systemgroups 7 endpoints

GET /systemgroups

This endpoint returns all System Groups.

Available filter fields:

  • name
  • disabled
  • type
  • membershipMethod

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: SystemGroups_listAll

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

default

Unexpected error

200

OK

GET /systemgroups
POST /systemgroups

This endpoint allows you to create a new System Group.

See the Dynamic Group Configuration KB article for more details on maintaining a Dynamic Group.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/systemgroups \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "{Group_Name}"
  }'
operationId: SystemGroups_createNewGroup

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema SystemGroupPost
Property Type Required
name string required
email string optional
attributes object optional
description string optional
memberQuery object optional
queryType string required
filters array optional
membershipMethod string optional
memberQueryExemptions array optional
id string required
type string required
attributes object optional
memberSuggestionsNotify boolean optional

Responses

201

Created

POST /systemgroups
GET /systemgroups/{group_id}/suggestions

This endpoint returns available suggestions for a given system group

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/suggestions \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: SystemGroups_listSuggestions

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

group_id path required string

ID of the group

Responses

200

OK

GET /systemgroups/{group_id}/suggestions
POST /systemgroups/{group_id}/suggestions

This endpoint applies the suggestions for the specified system group.

Sample Request

curl -X PUT https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/suggestions \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
         "object_ids": ["212345678901234567890123",
                      "123456789012345678901234"]
     }'
operationId: SystemGroups_applySuggestions

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

group_id path required string

ID of the group

Request Body

required
application/json
schema SystemGroupsApplySuggestionsRequest
Property Type Required
object_ids array optional

Responses

200

OK

POST /systemgroups/{group_id}/suggestions
DELETE /systemgroups/{id}

This endpoint allows you to delete a System Group.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: SystemGroups_deleteGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the System Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

204

No Content

DELETE /systemgroups/{id}
GET /systemgroups/{id}

This endpoint returns the details of a System Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: SystemGroups_viewDetails

Parameters

Name In Required Type Description
id path required string

ObjectID of the System Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /systemgroups/{id}
PUT /systemgroups/{id}

This endpoint allows you to do a full update of the System Group.

See the Dynamic Group Configuration KB article for more details on maintaining a Dynamic Group.

Sample Request

curl -X PUT https://console.jumpcloud.com/api/v2/systemgroups/{Group_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Name_Update"
  }'
operationId: SystemGroups_updateGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the System Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema SystemGroupPut
Property Type Required
name string required
email string optional
attributes object optional
description string optional
memberQuery object optional
queryType string required
filters array optional
membershipMethod string optional
memberQueryExemptions array optional
id string required
type string required
attributes object optional
memberSuggestionsNotify boolean optional

Responses

200

OK

PUT /systemgroups/{id}

Systeminsights 24 endpoints

GET /systeminsights/alf

Valid filter fields are system_id and global_state.

operationId: SystemInsights_listAlf

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

limit query optional integer

Responses

200
GET /systeminsights/alf
GET /systeminsights/alf_exceptions

Valid filter fields are system_id and state.

operationId: SystemInsights_listAlfExceptions

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

limit query optional integer

Responses

200
GET /systeminsights/alf_exceptions
GET /systeminsights/alf_explicit_auths

Valid filter fields are system_id and process.

operationId: SystemInsights_listAlfExplicitAuths

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

limit query optional integer

Responses

200
GET /systeminsights/alf_explicit_auths
GET /systeminsights/appcompat_shims

Valid filter fields are system_id and enabled.

operationId: SystemInsights_listAppcompatShims

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/appcompat_shims
GET /systeminsights/apps

Lists all apps for macOS devices. For Windows devices, use List System Insights Programs.

Valid filter fields are system_id and bundle_name.

operationId: SystemInsights_listApps

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/apps
GET /systeminsights/authorized_keys

Valid filter fields are system_id and uid.

operationId: SystemInsights_listAuthorizedKeys

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/authorized_keys
GET /systeminsights/azure_instance_metadata

Valid filter fields are system_id.

operationId: SystemInsights_listAzureInstanceMetadata

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
400
GET /systeminsights/azure_instance_metadata
GET /systeminsights/azure_instance_tags

Valid filter fields are system_id.

operationId: SystemInsights_listAzureInstanceTags

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
400
GET /systeminsights/azure_instance_tags
GET /systeminsights/battery

Valid filter fields are system_id and health.

operationId: SystemInsights_listBatteryData

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/battery
GET /systeminsights/bitlocker_info

Valid filter fields are system_id and protection_status.

operationId: SystemInsights_listBitlockerInfo

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/bitlocker_info
GET /systeminsights/browser_plugins

Valid filter fields are system_id and name.

operationId: SystemInsights_listBrowserPlugins

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/browser_plugins
GET /systeminsights/certificates

Valid filter fields are system_id and common_name.

operationId: SystemInsights_listCertificates

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3
Note: You can only filter by system_id and common_name

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/certificates
GET /systeminsights/chassis_info

Valid filter fields are system_id.

operationId: SystemInsights_getChassisInfo

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
400
GET /systeminsights/chassis_info
GET /systeminsights/chrome_extensions

Valid filter fields are system_id and name.

operationId: SystemInsights_listChromeExtensions

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/chrome_extensions
GET /systeminsights/connectivity

The only valid filter field is system_id.

operationId: SystemInsights_listConnectivity

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/connectivity
GET /systeminsights/crashes

Valid filter fields are system_id and identifier.

operationId: SystemInsights_listCrashes

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/crashes
GET /systeminsights/cups_destinations

Valid filter fields are system_id and name.

operationId: SystemInsights_listCupsDestinations

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/cups_destinations
GET /systeminsights/disk_encryption

Valid filter fields are system_id and encryption_status.

operationId: SystemInsights_listDiskEncryption

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/disk_encryption
GET /systeminsights/disk_info

Valid filter fields are system_id and disk_index.

operationId: SystemInsights_getDiskInfo

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/disk_info
GET /systeminsights/dns_resolvers

Valid filter fields are system_id and type.

operationId: SystemInsights_listDnsResolvers

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/dns_resolvers
GET /systeminsights/etc_hosts

Valid filter fields are system_id and address.

operationId: SystemInsights_listEtcHosts

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/etc_hosts
GET /systeminsights/firefox_addons

Valid filter fields are system_id and name.

operationId: SystemInsights_listFirefoxAddons

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/firefox_addons
GET /systeminsights/groups

Valid filter fields are system_id and groupname.

operationId: SystemInsights_listGroups

Parameters

Name In Required Type Description
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer

Responses

200
GET /systeminsights/groups
GET /systeminsights/ie_extensions

Valid filter fields are system_id and name.

operationId: SystemInsights_getIEExtensionsList

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending. e.g:
Sort by single field:
sort=field
Sort descending by single field:
sort=-field
Sort by multiple fields:
sort=field1,-field2,field3

filter query optional array

Supported operators are: eq, in. e.g:
Filter for single value:
filter=field:eq:value
Filter for any value in a list: (note “pipe” character: | separating values)
filter=field:in:value1|value2|value3

limit query optional integer

Responses

200
GET /systeminsights/ie_extensions
Load more endpoints